Subject: [bug#49494] [PATCH 0/7] Add nncp

From: Arun Isaac <[email-masked]>
Date: Tue, 03 Aug 2021 00:03:16 +0530

Hi Sarah,

>> Your patch applies on master (fba107e), builds, and passes tests for me;
>> I'm on x86-64. What's your platform?
>
> I'm on x86_64 too. I tried on master eb46c6c5c8. I have attached the
> complete build log. The tests seem to have timed out after 10
> minutes. Could it be something to do with memory usage? I have 4 GB of
> RAM.

I set up a tmpfs file system at /tmp. And, curiously, now the package
builds successfully. No idea why this is happening, though.

>>>> Does CFGPATH need to be set?
>>>
>>> I have now set CFGPATH TO /etc/nncp.hjson.
>>
>> When I run any of the executables, I get:
>>
>> main.go:73: Error during initialization: stat /usr/local/etc/nncp.hjson:
>> no such file or directory
>
> I couldn't reproduce this error message. Which command are you running?
> But, I do see that the output of say `nncp-xfer` lists
> /usr/local/etc/nncp.hjson as the default configuration path. I will
> investigate.

That leaves only the CFGPATH issue. I'll figure it out and send a v3
patch.

Regards,
Arun